Skip to main content
GET
List refunds

Authorizations

Authorization
string
header
required

JWT bearer token issued by the identity provider.

Query Parameters

status
string

Filter by lifecycle status (case-insensitive)

Example:

"OPEN"

refund_reason
string

Filter by refund reason (case-insensitive)

Example:

"FRAUD"

transaction_id
string

Filter by the contested transaction end-to-end ID (32 chars)

Example:

"E12345678202601011200abcdef01234"

infraction_report_id
string

Filter by the linked infraction report UUID

Example:

"c3d4e5f6-a7b8-4901-abcd-34567890abcd"

requesting_participant
string

Filter by the requesting participant ISPB (8 characters, uppercase alphanumeric)

Required string length: 8
Pattern: ^[A-Z0-9]{8}$
Example:

"12345678"

contested_participant
string

Filter by the contested participant ISPB (8 characters, uppercase alphanumeric)

Required string length: 8
Pattern: ^[A-Z0-9]{8}$
Example:

"87654321"

page
string

Page number (default: 1, minimum: 1)

Example:

"1"

limit
string

Maximum number of items per page (default: 10, max: 100)

Example:

"10"

sort_order
string

Sort direction by last_modified (default: desc, case-insensitive)

Example:

"desc"

Response

OK

hasMore
boolean
required
Example:

false

items
object[] | null
required
limit
integer<int64>
required
Example:

10

page
integer<int64>
required
Example:

1

total
integer<int64>
required
Example:

1